//============================================================================
//
//   SSSS    tt          lll  lll       
//  SS  SS   tt           ll   ll        
//  SS     tttttt  eeee   ll   ll   aaaa 
//   SSSS    tt   ee  ee  ll   ll      aa
//      SS   tt   eeeeee  ll   ll   aaaaa  --  "An Atari 2600 VCS Emulator"
//  SS  SS   tt   ee      ll   ll  aa  aa
//   SSSS     ttt  eeeee llll llll  aaaaa
//
// Copyright (c) 1995-2008 by Bradford W. Mott and the Stella team
//
// See the file "license" for information on usage and redistribution of
// this file, and for a DISCLAIMER OF ALL WARRANTIES.
//
// $Id: StellaLargeFont.hxx,v 1.2 2008/03/24 00:02:16 stephena Exp $
//
//   Based on code from ScummVM - Scumm Interpreter
//   Copyright (C) 2002-2004 The ScummVM project
//============================================================================

#ifndef STELLALARGE_FONT_DATA_HXX
#define STELLALARGE_FONT_DATA_HXX

#include "Font.hxx"
#include "bspf.hxx"

namespace GUI {

/* Generated by convbdf on Sun Aug 15 15:59:36 2004. */
/* Font information:
   name: 04b-16b-10 (2x)
   facename: 04b-16b-10 (2x)
   w x h: 18x20
   size: 94
   ascent: 8
   descent: 2
   first char: 33 (0x21)
   last char: 126 (0x7e)
   default char: 33 (0x21)
   proportional: yes
*/

/* Font character bitmap data. */
static const uInt32 _stellaLarge_font_bits[] = {

/* Character 33 (0x21):
   width 6
   +------+
   |      |
   |      |
   |  **  |
   |  **  |
   |  **  |
   |  **  |
   |  **  |
   |  **  |
   |  **  |
   |  **  |
   |  **  |
   |  **  |
   |      |
   |      |
   |  **  |
   |  **  |
   |      |
   |      |
   |      |
   |      |
   +------+
*/
0x00000000,
0x00000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x00000000,
0x00000000,
0x30000000,
0x30000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 34 (0x22):
   width 8
   +--------+
   |        |
   |        |
   |**  **  |
   |**  **  |
   |**  **  |
   |**  **  |
   |        |
   |        |
   |        |
   |        |
   |        |
   |        |
   |        |
   |        |
   |        |
   |        |
   |        |
   |        |
   |        |
   |        |
   +--------+
*/
0x00000000,
0x00000000,
0xcc000000,
0xcc000000,
0xcc000000,
0xcc000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 35 (0x23):
   width 12
   +------------+
   |            |
   |            |
   |            |
   |            |
   |  **  **    |
   |  **  **    |
   |**********  |
   |**********  |
   |  **  **    |
   |  **  **    |
   |**********  |
   |**********  |
   |  **  **    |
   |  **  **    |
   |            |
   |            |
   |            |
   |            |
   |            |
   |            |
   +------------+
*/
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x33000000,
0x33000000,
0xffc00000,
0xffc00000,
0x33000000,
0x33000000,
0xffc00000,
0xffc00000,
0x33000000,
0x33000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 36 (0x24):
   width 12
   +------------+
   |    **      |
   |    **      |
   |  ******    |
   |  ******    |
   |**  **  **  |
   |**  **  **  |
   |**  **      |
   |**  **      |
   |  ******    |
   |  ******    |
   |    **  **  |
   |    **  **  |
   |**  **  **  |
   |**  **  **  |
   |  ******    |
   |  ******    |
   |    **      |
   |    **      |
   |            |
   |            |
   +------------+
*/
0x0c000000,
0x0c000000,
0x3f000000,
0x3f000000,
0xccc00000,
0xccc00000,
0xcc000000,
0xcc000000,
0x3f000000,
0x3f000000,
0x0cc00000,
0x0cc00000,
0xccc00000,
0xccc00000,
0x3f000000,
0x3f000000,
0x0c000000,
0x0c000000,
0x00000000,
0x00000000,

/* Character 37 (0x25):
   width 18
   +------------------+
   |                  |
   |                  |
   |  **      **      |
   |  **      **      |
   |**  **    **      |
   |**  **    **      |
   |**  **  **        |
   |**  **  **        |
   |  **    **        |
   |  **    **        |
   |      **    **    |
   |      **    **    |
   |      **  **  **  |
   |      **  **  **  |
   |    **    **  **  |
   |    **    **  **  |
   |    **      **    |
   |    **      **    |
   |                  |
   |                  |
   +------------------+
*/
0x00000000,
0x00000000,
0x30300000,
0x30300000,
0xcc300000,
0xcc300000,
0xccc00000,
0xccc00000,
0x30c00000,
0x30c00000,
0x030c0000,
0x030c0000,
0x03330000,
0x03330000,
0x0c330000,
0x0c330000,
0x0c0c0000,
0x0c0c0000,
0x00000000,
0x00000000,

/* Character 38 (0x26):
   width 10
   +----------+
   |          |
   |          |
   |  ****    |
   |  ****    |
   |**        |
   |**        |
   |**  **    |
   |**  **    |
   |  ******  |
   |  ******  |
   |**  **    |
   |**  **    |
   |**  **    |
   |**  **    |
   |  **  **  |
   |  **  **  |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0x3c000000,
0x3c000000,
0xc0000000,
0xc0000000,
0xcc000000,
0xcc000000,
0x3f000000,
0x3f000000,
0xcc000000,
0xcc000000,
0xcc000000,
0xcc000000,
0x33000000,
0x33000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 39 (0x27):
   width 4
   +----+
   |    |
   |    |
   |**  |
   |**  |
   |**  |
   |**  |
   |    |
   |    |
   |    |
   |    |
   |    |
   |    |
   |    |
   |    |
   |    |
   |    |
   |    |
   |    |
   |    |
   |    |
   +----+
*/
0x00000000,
0x00000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 40 (0x28):
   width 10
   +----------+
   |          |
   |          |
   |      **  |
   |      **  |
   |    **    |
   |    **    |
   |  **      |
   |  **      |
   |  **      |
   |  **      |
   |  **      |
   |  **      |
   |    **    |
   |    **    |
   |      **  |
   |      **  |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0x03000000,
0x03000000,
0x0c000000,
0x0c000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x0c000000,
0x0c000000,
0x03000000,
0x03000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 41 (0x29):
   width 10
   +----------+
   |          |
   |          |
   |**        |
   |**        |
   |  **      |
   |  **      |
   |    **    |
   |    **    |
   |    **    |
   |    **    |
   |    **    |
   |    **    |
   |  **      |
   |  **      |
   |**        |
   |**        |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0xc0000000,
0xc0000000,
0x30000000,
0x30000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x30000000,
0x30000000,
0xc0000000,
0xc0000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 42 (0x2a):
   width 12
   +------------+
   |            |
   |            |
   |            |
   |            |
   |    **      |
   |    **      |
   |**  **  **  |
   |**  **  **  |
   |  ******    |
   |  ******    |
   |**  **  **  |
   |**  **  **  |
   |    **      |
   |    **      |
   |            |
   |            |
   |            |
   |            |
   |            |
   |            |
   +------------+
*/
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x0c000000,
0x0c000000,
0xccc00000,
0xccc00000,
0x3f000000,
0x3f000000,
0xccc00000,
0xccc00000,
0x0c000000,
0x0c000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 43 (0x2b):
   width 12
   +------------+
   |            |
   |            |
   |            |
   |            |
   |    **      |
   |    **      |
   |    **      |
   |    **      |
   |**********  |
   |**********  |
   |    **      |
   |    **      |
   |    **      |
   |    **      |
   |            |
   |            |
   |            |
   |            |
   |            |
   |            |
   +------------+
*/
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0xffc00000,
0xffc00000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 44 (0x2c):
   width 6
   +------+
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |  **  |
   |  **  |
   |  **  |
   |  **  |
   |**    |
   |**    |
   |      |
   |      |
   +------+
*/
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0xc0000000,
0xc0000000,
0x00000000,
0x00000000,

/* Character 45 (0x2d):
   width 10
   +----------+
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |********  |
   |********  |
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0xff000000,
0xff000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 46 (0x2e):
   width 4
   +----+
   |    |
   |    |
   |    |
   |    |
   |    |
   |    |
   |    |
   |    |
   |    |
   |    |
   |    |
   |    |
   |    |
   |    |
   |**  |
   |**  |
   |    |
   |    |
   |    |
   |    |
   +----+
*/
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0xc0000000,
0xc0000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 47 (0x2f):
   width 10
   +----------+
   |          |
   |          |
   |      **  |
   |      **  |
   |      **  |
   |      **  |
   |    **    |
   |    **    |
   |    **    |
   |    **    |
   |  **      |
   |  **      |
   |  **      |
   |  **      |
   |**        |
   |**        |
   |**        |
   |**        |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0x03000000,
0x03000000,
0x03000000,
0x03000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0x00000000,
0x00000000,

/* Character 48 (0x30):
   width 10
   +----------+
   |          |
   |          |
   |  ****    |
   |  ****    |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |  ****    |
   |  ****    |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0x3c000000,
0x3c000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0x3c000000,
0x3c000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 49 (0x31):
   width 6
   +------+
   |      |
   |      |
   |  **  |
   |  **  |
   |****  |
   |****  |
   |  **  |
   |  **  |
   |  **  |
   |  **  |
   |  **  |
   |  **  |
   |  **  |
   |  **  |
   |  **  |
   |  **  |
   |      |
   |      |
   |      |
   |      |
   +------+
*/
0x00000000,
0x00000000,
0x30000000,
0x30000000,
0xf0000000,
0xf0000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 50 (0x32):
   width 10
   +----------+
   |          |
   |          |
   |******    |
   |******    |
   |      **  |
   |      **  |
   |      **  |
   |      **  |
   |    **    |
   |    **    |
   |  **      |
   |  **      |
   |**        |
   |**        |
   |********  |
   |********  |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0xfc000000,
0xfc000000,
0x03000000,
0x03000000,
0x03000000,
0x03000000,
0x0c000000,
0x0c000000,
0x30000000,
0x30000000,
0xc0000000,
0xc0000000,
0xff000000,
0xff000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 51 (0x33):
   width 10
   +----------+
   |          |
   |          |
   |******    |
   |******    |
   |      **  |
   |      **  |
   |      **  |
   |      **  |
   |  ****    |
   |  ****    |
   |      **  |
   |      **  |
   |      **  |
   |      **  |
   |******    |
   |******    |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0xfc000000,
0xfc000000,
0x03000000,
0x03000000,
0x03000000,
0x03000000,
0x3c000000,
0x3c000000,
0x03000000,
0x03000000,
0x03000000,
0x03000000,
0xfc000000,
0xfc000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 52 (0x34):
   width 10
   +----------+
   |          |
   |          |
   |    **    |
   |    **    |
   |  ****    |
   |  ****    |
   |**  **    |
   |**  **    |
   |**  **    |
   |**  **    |
   |********  |
   |********  |
   |    **    |
   |    **    |
   |    **    |
   |    **    |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0x0c000000,
0x0c000000,
0x3c000000,
0x3c000000,
0xcc000000,
0xcc000000,
0xcc000000,
0xcc000000,
0xff000000,
0xff000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 53 (0x35):
   width 10
   +----------+
   |          |
   |          |
   |********  |
   |********  |
   |**        |
   |**        |
   |******    |
   |******    |
   |      **  |
   |      **  |
   |      **  |
   |      **  |
   |      **  |
   |      **  |
   |******    |
   |******    |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0xff000000,
0xff000000,
0xc0000000,
0xc0000000,
0xfc000000,
0xfc000000,
0x03000000,
0x03000000,
0x03000000,
0x03000000,
0x03000000,
0x03000000,
0xfc000000,
0xfc000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 54 (0x36):
   width 10
   +----------+
   |          |
   |          |
   |  ****    |
   |  ****    |
   |**        |
   |**        |
   |******    |
   |******    |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |  ****    |
   |  ****    |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0x3c000000,
0x3c000000,
0xc0000000,
0xc0000000,
0xfc000000,
0xfc000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0x3c000000,
0x3c000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 55 (0x37):
   width 10
   +----------+
   |          |
   |          |
   |********  |
   |********  |
   |      **  |
   |      **  |
   |      **  |
   |      **  |
   |    **    |
   |    **    |
   |    **    |
   |    **    |
   |  **      |
   |  **      |
   |  **      |
   |  **      |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0xff000000,
0xff000000,
0x03000000,
0x03000000,
0x03000000,
0x03000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 56 (0x38):
   width 10
   +----------+
   |          |
   |          |
   |  ****    |
   |  ****    |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |  ****    |
   |  ****    |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |  ****    |
   |  ****    |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0x3c000000,
0x3c000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0x3c000000,
0x3c000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0x3c000000,
0x3c000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 57 (0x39):
   width 10
   +----------+
   |          |
   |          |
   |  ****    |
   |  ****    |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |  ******  |
   |  ******  |
   |      **  |
   |      **  |
   |  ****    |
   |  ****    |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0x3c000000,
0x3c000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0x3f000000,
0x3f000000,
0x03000000,
0x03000000,
0x3c000000,
0x3c000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 58 (0x3a):
   width 4
   +----+
   |    |
   |    |
   |    |
   |    |
   |    |
   |    |
   |**  |
   |**  |
   |    |
   |    |
   |**  |
   |**  |
   |    |
   |    |
   |    |
   |    |
   |    |
   |    |
   |    |
   |    |
   +----+
*/
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0xc0000000,
0xc0000000,
0x00000000,
0x00000000,
0xc0000000,
0xc0000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 59 (0x3b):
   width 4
   +----+
   |    |
   |    |
   |    |
   |    |
   |    |
   |    |
   |**  |
   |**  |
   |    |
   |    |
   |**  |
   |**  |
   |**  |
   |**  |
   |    |
   |    |
   |    |
   |    |
   |    |
   |    |
   +----+
*/
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0xc0000000,
0xc0000000,
0x00000000,
0x00000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 60 (0x3c):
   width 10
   +----------+
   |          |
   |          |
   |          |
   |          |
   |      **  |
   |      **  |
   |    **    |
   |    **    |
   |  **      |
   |  **      |
   |    **    |
   |    **    |
   |      **  |
   |      **  |
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x03000000,
0x03000000,
0x0c000000,
0x0c000000,
0x30000000,
0x30000000,
0x0c000000,
0x0c000000,
0x03000000,
0x03000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 61 (0x3d):
   width 10
   +----------+
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |********  |
   |********  |
   |          |
   |          |
   |********  |
   |********  |
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0xff000000,
0xff000000,
0x00000000,
0x00000000,
0xff000000,
0xff000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 62 (0x3e):
   width 10
   +----------+
   |          |
   |          |
   |          |
   |          |
   |**        |
   |**        |
   |  **      |
   |  **      |
   |    **    |
   |    **    |
   |  **      |
   |  **      |
   |**        |
   |**        |
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0xc0000000,
0xc0000000,
0x30000000,
0x30000000,
0x0c000000,
0x0c000000,
0x30000000,
0x30000000,
0xc0000000,
0xc0000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 63 (0x3f):
   width 10
   +----------+
   |          |
   |          |
   |******    |
   |******    |
   |      **  |
   |      **  |
   |      **  |
   |      **  |
   |    **    |
   |    **    |
   |  **      |
   |  **      |
   |          |
   |          |
   |  **      |
   |  **      |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0xfc000000,
0xfc000000,
0x03000000,
0x03000000,
0x03000000,
0x03000000,
0x0c000000,
0x0c000000,
0x30000000,
0x30000000,
0x00000000,
0x00000000,
0x30000000,
0x30000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 64 (0x40):
   width 14
   +--------------+
   |              |
   |              |
   |    ******    |
   |    ******    |
   |  **      **  |
   |  **      **  |
   |**    ******  |
   |**    ******  |
   |**  **    **  |
   |**  **    **  |
   |**    ******  |
   |**    ******  |
   |  **          |
   |  **          |
   |    ********  |
   |    ********  |
   |              |
   |              |
   |              |
   |              |
   +--------------+
*/
0x00000000,
0x00000000,
0x0fc00000,
0x0fc00000,
0x30300000,
0x30300000,
0xc3f00000,
0xc3f00000,
0xcc300000,
0xcc300000,
0xc3f00000,
0xc3f00000,
0x30000000,
0x30000000,
0x0ff00000,
0x0ff00000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 65 (0x41):
   width 10
   +----------+
   |          |
   |          |
   |  ****    |
   |  ****    |
   |**    **  |
   |**    **  |
   |********  |
   |********  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0x3c000000,
0x3c000000,
0xc3000000,
0xc3000000,
0xff000000,
0xff000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 66 (0x42):
   width 10
   +----------+
   |          |
   |          |
   |******    |
   |******    |
   |**    **  |
   |**    **  |
   |******    |
   |******    |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |******    |
   |******    |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0xfc000000,
0xfc000000,
0xc3000000,
0xc3000000,
0xfc000000,
0xfc000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xfc000000,
0xfc000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 67 (0x43):
   width 10
   +----------+
   |          |
   |          |
   |  ****    |
   |  ****    |
   |**    **  |
   |**    **  |
   |**        |
   |**        |
   |**        |
   |**        |
   |**        |
   |**        |
   |**    **  |
   |**    **  |
   |  ****    |
   |  ****    |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0x3c000000,
0x3c000000,
0xc3000000,
0xc3000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc3000000,
0xc3000000,
0x3c000000,
0x3c000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 68 (0x44):
   width 10
   +----------+
   |          |
   |          |
   |******    |
   |******    |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |******    |
   |******    |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0xfc000000,
0xfc000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xfc000000,
0xfc000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 69 (0x45):
   width 10
   +----------+
   |          |
   |          |
   |********  |
   |********  |
   |**        |
   |**        |
   |********  |
   |********  |
   |**        |
   |**        |
   |**        |
   |**        |
   |**        |
   |**        |
   |********  |
   |********  |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0xff000000,
0xff000000,
0xc0000000,
0xc0000000,
0xff000000,
0xff000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xff000000,
0xff000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 70 (0x46):
   width 10
   +----------+
   |          |
   |          |
   |********  |
   |********  |
   |**        |
   |**        |
   |********  |
   |********  |
   |**        |
   |**        |
   |**        |
   |**        |
   |**        |
   |**        |
   |**        |
   |**        |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0xff000000,
0xff000000,
0xc0000000,
0xc0000000,
0xff000000,
0xff000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 71 (0x47):
   width 10
   +----------+
   |          |
   |          |
   |  ****    |
   |  ****    |
   |**    **  |
   |**    **  |
   |**        |
   |**        |
   |**  ****  |
   |**  ****  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |  ****    |
   |  ****    |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0x3c000000,
0x3c000000,
0xc3000000,
0xc3000000,
0xc0000000,
0xc0000000,
0xcf000000,
0xcf000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0x3c000000,
0x3c000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 72 (0x48):
   width 10
   +----------+
   |          |
   |          |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |********  |
   |********  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xff000000,
0xff000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 73 (0x49):
   width 4
   +----+
   |    |
   |    |
   |**  |
   |**  |
   |**  |
   |**  |
   |**  |
   |**  |
   |**  |
   |**  |
   |**  |
   |**  |
   |**  |
   |**  |
   |**  |
   |**  |
   |    |
   |    |
   |    |
   |    |
   +----+
*/
0x00000000,
0x00000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 74 (0x4a):
   width 10
   +----------+
   |          |
   |          |
   |    ****  |
   |    ****  |
   |      **  |
   |      **  |
   |      **  |
   |      **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |  ****    |
   |  ****    |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0x0f000000,
0x0f000000,
0x03000000,
0x03000000,
0x03000000,
0x03000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0x3c000000,
0x3c000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 75 (0x4b):
   width 10
   +----------+
   |          |
   |          |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**  **    |
   |**  **    |
   |****      |
   |****      |
   |**  **    |
   |**  **    |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xcc000000,
0xcc000000,
0xf0000000,
0xf0000000,
0xcc000000,
0xcc000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 76 (0x4c):
   width 10
   +----------+
   |          |
   |          |
   |**        |
   |**        |
   |**        |
   |**        |
   |**        |
   |**        |
   |**        |
   |**        |
   |**        |
   |**        |
   |**        |
   |**        |
   |  ******  |
   |  ******  |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0x3f000000,
0x3f000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 77 (0x4d):
   width 12
   +------------+
   |            |
   |            |
   |**      **  |
   |**      **  |
   |****  ****  |
   |****  ****  |
   |**  **  **  |
   |**  **  **  |
   |**      **  |
   |**      **  |
   |**      **  |
   |**      **  |
   |**      **  |
   |**      **  |
   |**      **  |
   |**      **  |
   |            |
   |            |
   |            |
   |            |
   +------------+
*/
0x00000000,
0x00000000,
0xc0c00000,
0xc0c00000,
0xf3c00000,
0xf3c00000,
0xccc00000,
0xccc00000,
0xc0c00000,
0xc0c00000,
0xc0c00000,
0xc0c00000,
0xc0c00000,
0xc0c00000,
0xc0c00000,
0xc0c00000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 78 (0x4e):
   width 10
   +----------+
   |          |
   |          |
   |**    **  |
   |**    **  |
   |****  **  |
   |****  **  |
   |**  ****  |
   |**  ****  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0xc3000000,
0xc3000000,
0xf3000000,
0xf3000000,
0xcf000000,
0xcf000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 79 (0x4f):
   width 10
   +----------+
   |          |
   |          |
   |  ****    |
   |  ****    |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |  ****    |
   |  ****    |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0x3c000000,
0x3c000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0x3c000000,
0x3c000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 80 (0x50):
   width 10
   +----------+
   |          |
   |          |
   |******    |
   |******    |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |******    |
   |******    |
   |**        |
   |**        |
   |**        |
   |**        |
   |**        |
   |**        |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0xfc000000,
0xfc000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xfc000000,
0xfc000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 81 (0x51):
   width 10
   +----------+
   |          |
   |          |
   |  ****    |
   |  ****    |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |  ****    |
   |  ****    |
   |      **  |
   |      **  |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0x3c000000,
0x3c000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0x3c000000,
0x3c000000,
0x03000000,
0x03000000,
0x00000000,
0x00000000,

/* Character 82 (0x52):
   width 10
   +----------+
   |          |
   |          |
   |******    |
   |******    |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |******    |
   |******    |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0xfc000000,
0xfc000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xfc000000,
0xfc000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 83 (0x53):
   width 10
   +----------+
   |          |
   |          |
   |  ****    |
   |  ****    |
   |**    **  |
   |**    **  |
   |**        |
   |**        |
   |  ****    |
   |  ****    |
   |      **  |
   |      **  |
   |**    **  |
   |**    **  |
   |  ****    |
   |  ****    |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0x3c000000,
0x3c000000,
0xc3000000,
0xc3000000,
0xc0000000,
0xc0000000,
0x3c000000,
0x3c000000,
0x03000000,
0x03000000,
0xc3000000,
0xc3000000,
0x3c000000,
0x3c000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 84 (0x54):
   width 12
   +------------+
   |            |
   |            |
   |**********  |
   |**********  |
   |    **      |
   |    **      |
   |    **      |
   |    **      |
   |    **      |
   |    **      |
   |    **      |
   |    **      |
   |    **      |
   |    **      |
   |    **      |
   |    **      |
   |            |
   |            |
   |            |
   |            |
   +------------+
*/
0x00000000,
0x00000000,
0xffc00000,
0xffc00000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 85 (0x55):
   width 10
   +----------+
   |          |
   |          |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |  ****    |
   |  ****    |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0x3c000000,
0x3c000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 86 (0x56):
   width 12
   +------------+
   |            |
   |            |
   |**      **  |
   |**      **  |
   |**      **  |
   |**      **  |
   |**      **  |
   |**      **  |
   |  **  **    |
   |  **  **    |
   |  **  **    |
   |  **  **    |
   |    **      |
   |    **      |
   |    **      |
   |    **      |
   |            |
   |            |
   |            |
   |            |
   +------------+
*/
0x00000000,
0x00000000,
0xc0c00000,
0xc0c00000,
0xc0c00000,
0xc0c00000,
0xc0c00000,
0xc0c00000,
0x33000000,
0x33000000,
0x33000000,
0x33000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 87 (0x57):
   width 12
   +------------+
   |            |
   |            |
   |**      **  |
   |**      **  |
   |**      **  |
   |**      **  |
   |**      **  |
   |**      **  |
   |**  **  **  |
   |**  **  **  |
   |**  **  **  |
   |**  **  **  |
   |  **  **    |
   |  **  **    |
   |  **  **    |
   |  **  **    |
   |            |
   |            |
   |            |
   |            |
   +------------+
*/
0x00000000,
0x00000000,
0xc0c00000,
0xc0c00000,
0xc0c00000,
0xc0c00000,
0xc0c00000,
0xc0c00000,
0xccc00000,
0xccc00000,
0xccc00000,
0xccc00000,
0x33000000,
0x33000000,
0x33000000,
0x33000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 88 (0x58):
   width 10
   +----------+
   |          |
   |          |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |  ****    |
   |  ****    |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0x3c000000,
0x3c000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 89 (0x59):
   width 12
   +------------+
   |            |
   |            |
   |**      **  |
   |**      **  |
   |**      **  |
   |**      **  |
   |  **  **    |
   |  **  **    |
   |    **      |
   |    **      |
   |    **      |
   |    **      |
   |    **      |
   |    **      |
   |    **      |
   |    **      |
   |            |
   |            |
   |            |
   |            |
   +------------+
*/
0x00000000,
0x00000000,
0xc0c00000,
0xc0c00000,
0xc0c00000,
0xc0c00000,
0x33000000,
0x33000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 90 (0x5a):
   width 10
   +----------+
   |          |
   |          |
   |********  |
   |********  |
   |      **  |
   |      **  |
   |    **    |
   |    **    |
   |  **      |
   |  **      |
   |**        |
   |**        |
   |**        |
   |**        |
   |********  |
   |********  |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0xff000000,
0xff000000,
0x03000000,
0x03000000,
0x0c000000,
0x0c000000,
0x30000000,
0x30000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xff000000,
0xff000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 91 (0x5b):
   width 8
   +--------+
   |        |
   |        |
   |  ****  |
   |  ****  |
   |  **    |
   |  **    |
   |  **    |
   |  **    |
   |  **    |
   |  **    |
   |  **    |
   |  **    |
   |  **    |
   |  **    |
   |  ****  |
   |  ****  |
   |        |
   |        |
   |        |
   |        |
   +--------+
*/
0x00000000,
0x00000000,
0x3c000000,
0x3c000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x3c000000,
0x3c000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 92 (0x5c):
   width 10
   +----------+
   |          |
   |          |
   |**        |
   |**        |
   |**        |
   |**        |
   |  **      |
   |  **      |
   |  **      |
   |  **      |
   |    **    |
   |    **    |
   |    **    |
   |    **    |
   |      **  |
   |      **  |
   |      **  |
   |      **  |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x03000000,
0x03000000,
0x03000000,
0x03000000,
0x00000000,
0x00000000,

/* Character 93 (0x5d):
   width 8
   +--------+
   |        |
   |        |
   |****    |
   |****    |
   |  **    |
   |  **    |
   |  **    |
   |  **    |
   |  **    |
   |  **    |
   |  **    |
   |  **    |
   |  **    |
   |  **    |
   |****    |
   |****    |
   |        |
   |        |
   |        |
   |        |
   +--------+
*/
0x00000000,
0x00000000,
0xf0000000,
0xf0000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0xf0000000,
0xf0000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 94 (0x5e):
   width 8
   +--------+
   |        |
   |        |
   |  **    |
   |  **    |
   |**  **  |
   |**  **  |
   |        |
   |        |
   |        |
   |        |
   |        |
   |        |
   |        |
   |        |
   |        |
   |        |
   |        |
   |        |
   |        |
   |        |
   +--------+
*/
0x00000000,
0x00000000,
0x30000000,
0x30000000,
0xcc000000,
0xcc000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 95 (0x5f):
   width 10
   +----------+
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |********  |
   |********  |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0xff000000,
0xff000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 96 (0x60):
   width 6
   +------+
   |      |
   |      |
   |**    |
   |**    |
   |  **  |
   |  **  |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   |      |
   +------+
*/
0x00000000,
0x00000000,
0xc0000000,
0xc0000000,
0x30000000,
0x30000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 97 (0x61):
   width 10
   +----------+
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |  ******  |
   |  ******  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |  ******  |
   |  ******  |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x3f000000,
0x3f000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0x3f000000,
0x3f000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 98 (0x62):
   width 10
   +----------+
   |          |
   |          |
   |**        |
   |**        |
   |**        |
   |**        |
   |******    |
   |******    |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |******    |
   |******    |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xfc000000,
0xfc000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xfc000000,
0xfc000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 99 (0x63):
   width 8
   +--------+
   |        |
   |        |
   |        |
   |        |
   |        |
   |        |
   |  ****  |
   |  ****  |
   |**      |
   |**      |
   |**      |
   |**      |
   |**      |
   |**      |
   |  ****  |
   |  ****  |
   |        |
   |        |
   |        |
   |        |
   +--------+
*/
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x3c000000,
0x3c000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0x3c000000,
0x3c000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 100 (0x64):
   width 10
   +----------+
   |          |
   |          |
   |      **  |
   |      **  |
   |      **  |
   |      **  |
   |  ******  |
   |  ******  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |  ******  |
   |  ******  |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0x03000000,
0x03000000,
0x03000000,
0x03000000,
0x3f000000,
0x3f000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0x3f000000,
0x3f000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 101 (0x65):
   width 10
   +----------+
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |  ****    |
   |  ****    |
   |**    **  |
   |**    **  |
   |********  |
   |********  |
   |**        |
   |**        |
   |  ****    |
   |  ****    |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x3c000000,
0x3c000000,
0xc3000000,
0xc3000000,
0xff000000,
0xff000000,
0xc0000000,
0xc0000000,
0x3c000000,
0x3c000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 102 (0x66):
   width 10
   +----------+
   |          |
   |          |
   |    ****  |
   |    ****  |
   |  **      |
   |  **      |
   |********  |
   |********  |
   |  **      |
   |  **      |
   |  **      |
   |  **      |
   |  **      |
   |  **      |
   |  **      |
   |  **      |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0x0f000000,
0x0f000000,
0x30000000,
0x30000000,
0xff000000,
0xff000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 103 (0x67):
   width 10
   +----------+
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |  ******  |
   |  ******  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |  ******  |
   |  ******  |
   |      **  |
   |      **  |
   |  ****    |
   |  ****    |
   +----------+
*/
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x3f000000,
0x3f000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0x3f000000,
0x3f000000,
0x03000000,
0x03000000,
0x3c000000,
0x3c000000,

/* Character 104 (0x68):
   width 10
   +----------+
   |          |
   |          |
   |**        |
   |**        |
   |**        |
   |**        |
   |******    |
   |******    |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xfc000000,
0xfc000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 105 (0x69):
   width 4
   +----+
   |    |
   |    |
   |**  |
   |**  |
   |    |
   |    |
   |**  |
   |**  |
   |**  |
   |**  |
   |**  |
   |**  |
   |**  |
   |**  |
   |**  |
   |**  |
   |    |
   |    |
   |    |
   |    |
   +----+
*/
0x00000000,
0x00000000,
0xc0000000,
0xc0000000,
0x00000000,
0x00000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 106 (0x6a):
   width 8
   +--------+
   |        |
   |        |
   |    **  |
   |    **  |
   |        |
   |        |
   |    **  |
   |    **  |
   |    **  |
   |    **  |
   |    **  |
   |    **  |
   |    **  |
   |    **  |
   |    **  |
   |    **  |
   |    **  |
   |    **  |
   |****    |
   |****    |
   +--------+
*/
0x00000000,
0x00000000,
0x0c000000,
0x0c000000,
0x00000000,
0x00000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0xf0000000,
0xf0000000,

/* Character 107 (0x6b):
   width 10
   +----------+
   |          |
   |          |
   |**        |
   |**        |
   |**        |
   |**        |
   |**    **  |
   |**    **  |
   |**  **    |
   |**  **    |
   |****      |
   |****      |
   |**  **    |
   |**  **    |
   |**    **  |
   |**    **  |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc3000000,
0xc3000000,
0xcc000000,
0xcc000000,
0xf0000000,
0xf0000000,
0xcc000000,
0xcc000000,
0xc3000000,
0xc3000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 108 (0x6c):
   width 4
   +----+
   |    |
   |    |
   |**  |
   |**  |
   |**  |
   |**  |
   |**  |
   |**  |
   |**  |
   |**  |
   |**  |
   |**  |
   |**  |
   |**  |
   |**  |
   |**  |
   |    |
   |    |
   |    |
   |    |
   +----+
*/
0x00000000,
0x00000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 109 (0x6d):
   width 12
   +------------+
   |            |
   |            |
   |            |
   |            |
   |            |
   |            |
   |********    |
   |********    |
   |**  **  **  |
   |**  **  **  |
   |**  **  **  |
   |**  **  **  |
   |**  **  **  |
   |**  **  **  |
   |**  **  **  |
   |**  **  **  |
   |            |
   |            |
   |            |
   |            |
   +------------+
*/
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0xff000000,
0xff000000,
0xccc00000,
0xccc00000,
0xccc00000,
0xccc00000,
0xccc00000,
0xccc00000,
0xccc00000,
0xccc00000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 110 (0x6e):
   width 10
   +----------+
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |******    |
   |******    |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0xfc000000,
0xfc000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 111 (0x6f):
   width 10
   +----------+
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |  ****    |
   |  ****    |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |  ****    |
   |  ****    |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x3c000000,
0x3c000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0x3c000000,
0x3c000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 112 (0x70):
   width 10
   +----------+
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |******    |
   |******    |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |******    |
   |******    |
   |**        |
   |**        |
   |**        |
   |**        |
   +----------+
*/
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0xfc000000,
0xfc000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xfc000000,
0xfc000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,

/* Character 113 (0x71):
   width 10
   +----------+
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |  ******  |
   |  ******  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |  ******  |
   |  ******  |
   |      **  |
   |      **  |
   |      **  |
   |      **  |
   +----------+
*/
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x3f000000,
0x3f000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0x3f000000,
0x3f000000,
0x03000000,
0x03000000,
0x03000000,
0x03000000,

/* Character 114 (0x72):
   width 10
   +----------+
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |**  ****  |
   |**  ****  |
   |****      |
   |****      |
   |**        |
   |**        |
   |**        |
   |**        |
   |**        |
   |**        |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0xcf000000,
0xcf000000,
0xf0000000,
0xf0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0xc0000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 115 (0x73):
   width 10
   +----------+
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |  ******  |
   |  ******  |
   |**        |
   |**        |
   |  ****    |
   |  ****    |
   |      **  |
   |      **  |
   |******    |
   |******    |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x3f000000,
0x3f000000,
0xc0000000,
0xc0000000,
0x3c000000,
0x3c000000,
0x03000000,
0x03000000,
0xfc000000,
0xfc000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 116 (0x74):
   width 8
   +--------+
   |        |
   |        |
   |  **    |
   |  **    |
   |  **    |
   |  **    |
   |******  |
   |******  |
   |  **    |
   |  **    |
   |  **    |
   |  **    |
   |  **    |
   |  **    |
   |    **  |
   |    **  |
   |        |
   |        |
   |        |
   |        |
   +--------+
*/
0x00000000,
0x00000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0xfc000000,
0xfc000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x0c000000,
0x0c000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 117 (0x75):
   width 10
   +----------+
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |  ******  |
   |  ******  |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0x3f000000,
0x3f000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 118 (0x76):
   width 12
   +------------+
   |            |
   |            |
   |            |
   |            |
   |            |
   |            |
   |**      **  |
   |**      **  |
   |**      **  |
   |**      **  |
   |  **  **    |
   |  **  **    |
   |  **  **    |
   |  **  **    |
   |    **      |
   |    **      |
   |            |
   |            |
   |            |
   |            |
   +------------+
*/
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0xc0c00000,
0xc0c00000,
0xc0c00000,
0xc0c00000,
0x33000000,
0x33000000,
0x33000000,
0x33000000,
0x0c000000,
0x0c000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 119 (0x77):
   width 12
   +------------+
   |            |
   |            |
   |            |
   |            |
   |            |
   |            |
   |**  **  **  |
   |**  **  **  |
   |**  **  **  |
   |**  **  **  |
   |**  **  **  |
   |**  **  **  |
   |  **  **    |
   |  **  **    |
   |  **  **    |
   |  **  **    |
   |            |
   |            |
   |            |
   |            |
   +------------+
*/
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0xccc00000,
0xccc00000,
0xccc00000,
0xccc00000,
0xccc00000,
0xccc00000,
0x33000000,
0x33000000,
0x33000000,
0x33000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 120 (0x78):
   width 10
   +----------+
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |  ****    |
   |  ****    |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0x3c000000,
0x3c000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 121 (0x79):
   width 10
   +----------+
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |**    **  |
   |  ******  |
   |  ******  |
   |      **  |
   |      **  |
   |  ****    |
   |  ****    |
   +----------+
*/
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0xc3000000,
0x3f000000,
0x3f000000,
0x03000000,
0x03000000,
0x3c000000,
0x3c000000,

/* Character 122 (0x7a):
   width 10
   +----------+
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |********  |
   |********  |
   |      **  |
   |      **  |
   |  ****    |
   |  ****    |
   |**        |
   |**        |
   |********  |
   |********  |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0xff000000,
0xff000000,
0x03000000,
0x03000000,
0x3c000000,
0x3c000000,
0xc0000000,
0xc0000000,
0xff000000,
0xff000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,

/* Character 123 (0x7b):
   width 10
   +----------+
   |      **  |
   |      **  |
   |    **    |
   |    **    |
   |    **    |
   |    **    |
   |    **    |
   |    **    |
   |  **      |
   |  **      |
   |    **    |
   |    **    |
   |    **    |
   |    **    |
   |    **    |
   |    **    |
   |      **  |
   |      **  |
   |          |
   |          |
   +----------+
*/
0x03000000,
0x03000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x30000000,
0x30000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x0c000000,
0x03000000,
0x03000000,
0x00000000,
0x00000000,

/* Character 124 (0x7c):
   width 8
   +--------+
   |        |
   |        |
   |  **    |
   |  **    |
   |  **    |
   |  **    |
   |  **    |
   |  **    |
   |  **    |
   |  **    |
   |  **    |
   |  **    |
   |  **    |
   |  **    |
   |  **    |
   |  **    |
   |  **    |
   |  **    |
   |        |
   |        |
   +--------+
*/
0x00000000,
0x00000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x00000000,
0x00000000,

/* Character 125 (0x7d):
   width 10
   +----------+
   |**        |
   |**        |
   |  **      |
   |  **      |
   |  **      |
   |  **      |
   |  **      |
   |  **      |
   |    **    |
   |    **    |
   |  **      |
   |  **      |
   |  **      |
   |  **      |
   |  **      |
   |  **      |
   |**        |
   |**        |
   |          |
   |          |
   +----------+
*/
0xc0000000,
0xc0000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x0c000000,
0x0c000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0x30000000,
0xc0000000,
0xc0000000,
0x00000000,
0x00000000,

/* Character 126 (0x7e):
   width 10
   +----------+
   |          |
   |          |
   |  **  **  |
   |  **  **  |
   |**  **    |
   |**  **    |
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   |          |
   +----------+
*/
0x00000000,
0x00000000,
0x33000000,
0x33000000,
0xcc000000,
0xcc000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
0x00000000,
};

/* Character width data. */
static const unsigned char _stellaLarge_sysfont_width[] = {
	6,	/* (0x21) */
	8,	/* (0x22) */
	12,	/* (0x23) */
	12,	/* (0x24) */
	18,	/* (0x25) */
	10,	/* (0x26) */
	4,	/* (0x27) */
	10,	/* (0x28) */
	10,	/* (0x29) */
	12,	/* (0x2a) */
	12,	/* (0x2b) */
	6,	/* (0x2c) */
	10,	/* (0x2d) */
	4,	/* (0x2e) */
	10,	/* (0x2f) */
	10,	/* (0x30) */
	6,	/* (0x31) */
	10,	/* (0x32) */
	10,	/* (0x33) */
	10,	/* (0x34) */
	10,	/* (0x35) */
	10,	/* (0x36) */
	10,	/* (0x37) */
	10,	/* (0x38) */
	10,	/* (0x39) */
	4,	/* (0x3a) */
	4,	/* (0x3b) */
	10,	/* (0x3c) */
	10,	/* (0x3d) */
	10,	/* (0x3e) */
	10,	/* (0x3f) */
	14,	/* (0x40) */
	10,	/* (0x41) */
	10,	/* (0x42) */
	10,	/* (0x43) */
	10,	/* (0x44) */
	10,	/* (0x45) */
	10,	/* (0x46) */
	10,	/* (0x47) */
	10,	/* (0x48) */
	4,	/* (0x49) */
	10,	/* (0x4a) */
	10,	/* (0x4b) */
	10,	/* (0x4c) */
	12,	/* (0x4d) */
	10,	/* (0x4e) */
	10,	/* (0x4f) */
	10,	/* (0x50) */
	10,	/* (0x51) */
	10,	/* (0x52) */
	10,	/* (0x53) */
	12,	/* (0x54) */
	10,	/* (0x55) */
	12,	/* (0x56) */
	12,	/* (0x57) */
	10,	/* (0x58) */
	12,	/* (0x59) */
	10,	/* (0x5a) */
	8,	/* (0x5b) */
	10,	/* (0x5c) */
	8,	/* (0x5d) */
	8,	/* (0x5e) */
	10,	/* (0x5f) */
	6,	/* (0x60) */
	10,	/* (0x61) */
	10,	/* (0x62) */
	8,	/* (0x63) */
	10,	/* (0x64) */
	10,	/* (0x65) */
	10,	/* (0x66) */
	10,	/* (0x67) */
	10,	/* (0x68) */
	4,	/* (0x69) */
	8,	/* (0x6a) */
	10,	/* (0x6b) */
	4,	/* (0x6c) */
	12,	/* (0x6d) */
	10,	/* (0x6e) */
	10,	/* (0x6f) */
	10,	/* (0x70) */
	10,	/* (0x71) */
	10,	/* (0x72) */
	10,	/* (0x73) */
	8,	/* (0x74) */
	10,	/* (0x75) */
	12,	/* (0x76) */
	12,	/* (0x77) */
	10,	/* (0x78) */
	10,	/* (0x79) */
	10,	/* (0x7a) */
	10,	/* (0x7b) */
	8,	/* (0x7c) */
	10,	/* (0x7d) */
	10,	/* (0x7e) */
};

static const FontDesc stellaLargeDesc = {
  "04b-16b-10_2x",                         /* font name */
  18,                                      /* max width in pixels */
  20,                                      /* height in pixels */
  8,                                       /* ascent (baseline) height */
  33,                                      /* first character in bitmap */
  94,                                      /* font size in glyphs */
  _stellaLarge_font_bits,                  /* 32-bit right-padded bitmap data */
  0,                                       /* offsets into bitmap data */
  _stellaLarge_sysfont_width,              /* character widths or NULL if fixed */
  33,                                      /* default char (not glyph index) */
  sizeof(_stellaLarge_font_bits)/sizeof(uInt16) /* # words of bitmap_t bits */
};

} // namespace GUI

#endif
